# Object Oriented Course Tutorials


----
----

# About this SCIOER resource

This resource is part of an investigation into a semi-automated process for creating Self-Contained, Interactive Open Educational Resources (SCIOER) for use by students and instructors in the discipline of Computer Science. Resources created through the SCIOER process are self-contained and provide all the tools necessary for learners. The interactive nature of the resource encourages experimentation and incremental practice. Learners are able to annotate SCIOER resources with their personal observations and learnings.

More information about this and other SCIOER resources is available:

- https://github.com/orgs/sci-oer/
- https://hub.docker.com/u/scioer
- email: info@scioer.ca

This project is made possible with funding from the University of Guelph OER support program and the Government of Ontario and through eCampusOntario’s support of the Virtual Learning Strategy. To learn more about the Virtual Learning Strategy visit: https://vls.ecampusontario.ca.

Copyright (C) 2023 Dr. J. McCuaig and M. Asch

This resource is free: you can redistribute it and/or modify it under the terms of the GNU  General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This resource is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the [GNU  General Public License](https://www.gnu.org/licenses/gpl-3.0.en.html) for more details.
